{
	"format_version": "1.8.0",
	"animations": {
		"animation.tsu_morph.turtle.general": {
			"loop": true,
			"bones": {
				"bodyMorph": {
					"rotation": ["-this", 0, 0],
					"position": [0, "query.is_pregnant ? 1.0 : 0.0", 0]
				},
				"eggbellyMorph": {
					"rotation": ["-this", 0, 0],
					"position": [0, -0.08, 0],
					"scale": "query.is_pregnant ? 1.0 : 0.0"
				}
			}
		},
		"animation.tsu_morph.turtle.ground_move": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"leg0Morph": {
					"rotation": [
						"-this",
						"math.clamp(math.cos(query.anim_time * variable.timemultiplier * variable.legspeedmultiplier * 57.3 + 180) * variable.backlegmultiplier * query.modified_move_speed * 57.3, -90.0, 90.0) - this",
						"-this"
					]
				},
				"leg1Morph": {
					"rotation": [
						"-this",
						"math.clamp(math.cos(query.anim_time * variable.timemultiplier * variable.legspeedmultiplier * 57.3) * variable.backlegmultiplier * query.modified_move_speed * 57.3, -90.0, 90.0) - this",
						"-this"
					]
				},
				"leg2Morph": {
					"rotation": [
						"-this",
						"query.is_laying_egg ? math.cos(query.life_time * 1146.0 + 180) * 90.0 : math.clamp(math.cos(query.anim_time * variable.timemultiplier * variable.legspeedmultiplier * 57.3 + 180) * variable.frontlegmultiplier * query.modified_move_speed * 57.3, -90.0, 90.0) - this",
						"-this"
					]
				},
				"leg3Morph": {
					"rotation": [
						"-this",
						"query.is_laying_egg ? math.cos(query.life_time * 1146.0) * 90.0 : math.clamp(math.cos(query.anim_time * variable.timemultiplier * variable.legspeedmultiplier * 57.3) * variable.frontlegmultiplier * query.modified_move_speed * 57.3, -90.0, 90.0) - this",
						"-this"
					]
				}
			}
		},
		"animation.tsu_morph.turtle.move": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"leg0Morph": {
					"rotation": ["math.clamp(math.cos(query.anim_time * 22.92) * query.modified_move_speed * 28.65, -90.0, 90.0) - this", "-this", "-this"]
				},
				"leg1Morph": {
					"rotation": ["math.clamp(math.cos(query.anim_time * 22.92 + 180) * query.modified_move_speed * 28.65, -90.0, 90.0) - this", "-this", "-this"]
				},
				"leg2Morph": {
					"rotation": ["-this", "-this", "math.clamp(math.cos(query.anim_time * 22.92 + 180) * query.modified_move_speed * 28.65, -90.0, 90.0) - this"]
				},
				"leg3Morph": {
					"rotation": ["-this", "-this", "math.clamp(math.cos(query.anim_time * 22.92) * query.modified_move_speed * 28.65, -90.0, 90.0) - this"]
				}
			}
		}
	}
}